org.eclipse.jgit.errors

## Class StoredObjectRepresentationNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.StoredObjectRepresentationNotAvailableException

All Implemented Interfaces:
  Serializable

    public class StoredObjectRepresentationNotAvailableException
    extends Exception

A previously selected representation is no longer available.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StoredObjectRepresentationNotAvailableException(ObjectToPack otp)` Construct an error for an object.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoredObjectRepresentationNotAvailableException

    public StoredObjectRepresentationNotAvailableException(ObjectToPack otp)

Construct an error for an object.

Parameters:
  `otp` - the object whose current representation is no longer present.
Since:
  3.0